PageInformation
هذه الصفحة غير متوفرة باللغة العربية. يتم عرض النسخة الإنجليزية.
Get detailed product page information
Returns product page data (including optional project type, category and buttons)
Authorization
BearerAuthObject AuthorizationBearer <token>
In: header
Path Parameters
productId*string
The product ID
Format
uuidQuery Parameters
projectTypeId?integer
Optional project type ID
categoryId?integer
Optional category ID
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/page-information/product/6f8a1d2c-1345-4a5c-8bde-3fef13a0c123?projectTypeId=12&categoryId=4"{ "product": { "id": "6f8a1d2c-1345-4a5c-8bde-3fef13a0c123", "name": "B2Core", "iconName": "b2core.svg", "languageId": 1, "languages": [ 1, 2 ], "platforms": [ "web" ] }, "projectType": { "id": 12, "name": "Broker", "languageId": 1, "lang": "en", "platform": "web" }, "category": { "id": 4, "name": "General", "projectTypeId": 12 }, "buttons": [ "CategoryCreateButton", "ProductCreateButton", "ProductUpdateButton" ]}{ "message": { "error": "Your request was made with invalid credentials." }}{ "message": { "error": "You are not allowed to perform this action." }}{ "message": { "error": "Page not found" }}{ "message": { "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}" }}